Skip to main content
POST
Create packaging

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Body

application/json
name
string
required

Packaging name (max 255 characters). Must not be greater than 255 characters.

Example:

"Box of 12"

qty
number
required

Quantity per package (minimum 0). Must be at least 0.

Example:

12

product_id
integer
required

Product ID that this packaging belongs to. The id of an existing record in the products_products table.

Example:

1

barcode
string | null

Packaging barcode (max 255 characters). Must not be greater than 255 characters.

Example:

"5901234123457"

sort
integer | null

Sort order.

Example:

1

company_id
integer | null

Company ID associated with this packaging. The id of an existing record in the companies table.

Example:

1

Response

Created